INTERFACE
SUBROUTINE LANHSI_GEOGW(KST,KPROF,PRCORI,PREDIV,PGMV,PGMVS,PGFL,&
 & PSDIV0,PSDIV9,PTOD0,PTOD9,PGAGT0L,PGAGT0M,PGAGT9L,PGAGT9M,&
 & PSPDS0,PSPDS9,PLPD0,PLPD9) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOM_YGFL ,ONLY : YGFL
USE YOMDIM , ONLY : NPROMA ,NFLEVG
USE YOMGMV , ONLY : NDIMGMV ,NDIMGMVS ,YT0 ,YT9
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PREDIV(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMVS(NPROMA,NDIMGMVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSDIV0(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSDIV9(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTOD0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTOD9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGAGT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGAGT0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGAGT9L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGAGT9M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPDS0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPDS9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLPD0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLPD9(NPROMA,NFLEVG)
END SUBROUTINE LANHSI_GEOGW
END INTERFACE
